sv = require "sunvoxlua"

print(sunvox._DESCRIPTION .. " " .. sv._VERSION)
print(sunvox._COPYRIGHT)
print "sleeping..."
sv.sleep(1000)

print "open slot:"
print(sv.open_slot(0))

print "load:"
print(sv.load(0, "test.sunvox"))

print "play:"
print(sv.play(0))

sv.sleep(5000)

print "end_of_song:"
print(sv.end_of_song(0))

print "set_autostop:"
print(sv.set_autostop(0, true))

print "rewind:"
print(sv.rewind(0, 1))

sv.sleep(2000)

print "volume:"
print(sv.volume(0, 50))

sv.sleep(5000)

print "stop:"
print(sv.stop(0))

print "..."
sv.sleep(1000)

print "note:"
print(sv.send_event(0, 0, 60, 0, 2, 0, 0))
sv.sleep(1000)


print "Alles gute!"